import React from 'react';
import PropTypes from 'prop-types';
import Button from '@s-ui/react-atom-button';
import { CmpModalAdvertisementStep } from '../CmpModalAdvertisementStep';
import { CmpModalGeneralStep } from '../CmpModalGeneralStep';
import { CLASS, I18N, STEPS } from '../settings';
export function CmpModal(_ref) {
  var consentKey = _ref.consentKey,
      lang = _ref.lang,
      fetchingPurposes = _ref.fetchingPurposes,
      features = _ref.features,
      logo = _ref.logo,
      onAccept = _ref.onAccept,
      onBack = _ref.onBack,
      onOpenAdsStep = _ref.onOpenAdsStep,
      onToggleAll = _ref.onToggleAll,
      onToggleConsent = _ref.onToggleConsent,
      privacyUrl = _ref.privacyUrl,
      purposeConsents = _ref.purposeConsents,
      purposes = _ref.purposes,
      step = _ref.step,
      vendorConsents = _ref.vendorConsents,
      vendors = _ref.vendors;
  var i18n = I18N[lang];
  return React.createElement("div", {
    className: CLASS
  }, React.createElement("div", {
    className: CLASS + "-content"
  }, React.createElement("header", {
    className: CLASS + "-header"
  }, React.createElement("img", {
    className: CLASS + "-logo",
    src: logo
  })), React.createElement("section", {
    className: CLASS + "-inner"
  }, step === STEPS.GENERAL && React.createElement(CmpModalGeneralStep, {
    i18n: i18n,
    onOpenAdsStep: onOpenAdsStep,
    privacyUrl: privacyUrl
  }), step === STEPS.ADVERTISEMENT && React.createElement(CmpModalAdvertisementStep, {
    consentKey: consentKey,
    features: features,
    i18n: i18n,
    onToggleAll: onToggleAll,
    onToggleConsent: onToggleConsent,
    purposeConsents: purposeConsents,
    purposes: purposes,
    vendorConsents: vendorConsents,
    vendors: vendors
  })), React.createElement("footer", {
    className: CLASS + "-footer"
  }, step === STEPS.ADVERTISEMENT && React.createElement(Button, {
    onClick: onBack,
    type: "tertiary",
    size: "small"
  }, i18n.BACK), React.createElement(Button, {
    disabled: fetchingPurposes,
    onClick: onAccept,
    type: "primary"
  }, i18n.ACCEPT))));
}