import _regeneratorRuntime from "@babel/runtime/regenerator";
import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import _extends from "@babel/runtime/helpers/esm/extends";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { CmpModal } from './component';
import { SCROLLABLE_ELEMENT, STEPS } from '../settings';
export var CmpModalContainer =
/*#__PURE__*/
function (_Component) {
  _inheritsLoose(CmpModalContainer, _Component);

  function CmpModalContainer() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _Component.call.apply(_Component, [this].concat(args)) || this;
    _this.state = {
      consentKey: 0,
      fetchingPurposes: false,
      features: [],
      purposeConsents: {},
      purposes: [],
      step: _this.props.showPartners ? STEPS.ADVERTISEMENT : STEPS.GENERAL,
      vendorConsents: {},
      vendors: []
    };

    _this.handleToggleConsent = function (_ref) {
      var enabled = _ref.enabled,
          id = _ref.id,
          isVendor = _ref.isVendor;

      var key = _this._getKeyOfConsentToUpdate({
        isVendor: isVendor
      });

      _this.setState(function (state) {
        var _extends2, _ref2;

        return _ref2 = {}, _ref2[key] = _extends({}, state[key], (_extends2 = {}, _extends2[id] = enabled, _extends2)), _ref2;
      });
    };

    _this.handleToggleAll = function (_ref3) {
      var event = _ref3.event,
          enabled = _ref3.enabled,
          isVendor = _ref3.isVendor;
      event.preventDefault();
      event.nativeEvent.stopImmediatePropagation();

      var key = _this._getKeyOfConsentToUpdate({
        isVendor: isVendor
      });

      _this.setState(function (state) {
        var _ref4;

        var consents = Object.keys(state[key]).reduce(function (acc, consentId) {
          acc[consentId] = enabled;
          return acc;
        }, {});
        return _ref4 = {}, _ref4[key] = consents, _ref4.consentKey = state.consentKey + 1, _ref4;
      });
    };

    _this.handleAccept =
    /*#__PURE__*/
    _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee() {
      var _this$props, sendConsents, onExit, _this$state, purposeConsents, vendorConsents;

      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _this$props = _this.props, sendConsents = _this$props.sendConsents, onExit = _this$props.onExit;
              _this$state = _this.state, purposeConsents = _this$state.purposeConsents, vendorConsents = _this$state.vendorConsents;
              _context.next = 4;
              return sendConsents.execute({
                purposeConsents: purposeConsents,
                vendorConsents: vendorConsents
              });

            case 4:
              onExit();

            case 5:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }));

    _this.handleBack = function (e) {
      e.preventDefault();
      e.nativeEvent.stopImmediatePropagation();

      _this.setState({
        step: STEPS.GENERAL
      }, _this._scrollTopContent);
    };

    _this.handleOpenAdsStep = function (e) {
      e.preventDefault();
      e.nativeEvent.stopImmediatePropagation();

      _this.setState({
        step: STEPS.ADVERTISEMENT
      }, _this._scrollTopContent);
    };

    return _this;
  }

  var _proto = CmpModalContainer.prototype;

  _proto.componentDidMount = function componentDidMount() {
    var _this2 = this;

    this.setState({
      fetchingPurposes: true
    });
    var _this$props2 = this.props,
        getPurposesAndVendors = _this$props2.getPurposesAndVendors,
        retrieveConsentsFromCmp = _this$props2.retrieveConsentsFromCmp;
    getPurposesAndVendors.execute({
      retrieveConsentsFromCmp: retrieveConsentsFromCmp
    }).then(function (purposesAndVendors) {
      _this2.setState(_extends({}, purposesAndVendors, {
        fetchingPurposes: false
      }));
    })["catch"](function () {
      _this2.setState({
        fetchingPurposes: false
      });
    });
  };

  _proto._getKeyOfConsentToUpdate = function _getKeyOfConsentToUpdate(_ref6) {
    var isVendor = _ref6.isVendor;
    var consentToUpdate = isVendor ? 'vendor' : 'purpose';
    return consentToUpdate + "Consents";
  };

  _proto._scrollTopContent = function _scrollTopContent() {
    var el = document.querySelector(SCROLLABLE_ELEMENT);
    el && (el.scrollTop = 0);
  };

  _proto.render = function render() {
    var _this$props3 = this.props,
        lang = _this$props3.lang,
        logo = _this$props3.logo,
        privacyUrl = _this$props3.privacyUrl;
    var _this$state2 = this.state,
        consentKey = _this$state2.consentKey,
        features = _this$state2.features,
        fetchingPurposes = _this$state2.fetchingPurposes,
        purposes = _this$state2.purposes,
        purposeConsents = _this$state2.purposeConsents,
        step = _this$state2.step,
        vendors = _this$state2.vendors,
        vendorConsents = _this$state2.vendorConsents;
    return React.createElement(CmpModal, {
      consentKey: consentKey,
      features: features,
      fetchingPurposes: fetchingPurposes,
      lang: lang,
      logo: logo,
      onAccept: this.handleAccept,
      onBack: this.handleBack,
      onOpenAdsStep: this.handleOpenAdsStep,
      onToggleAll: this.handleToggleAll,
      onToggleConsent: this.handleToggleConsent,
      privacyUrl: privacyUrl,
      purposeConsents: purposeConsents,
      purposes: purposes,
      step: step,
      vendorConsents: vendorConsents,
      vendors: vendors
    });
  };

  return CmpModalContainer;
}(Component);