import React from 'react';
import PropTypes from 'prop-types';
import { CLASS } from '../settings';
import { Consents } from '../Consents';
export var CmpModalAdvertisementStep = function CmpModalAdvertisementStep(_ref) {
  var consentKey = _ref.consentKey,
      i18n = _ref.i18n,
      features = _ref.features,
      onToggleAll = _ref.onToggleAll,
      onToggleConsent = _ref.onToggleConsent,
      purposeConsents = _ref.purposeConsents,
      purposes = _ref.purposes,
      vendorConsents = _ref.vendorConsents,
      vendors = _ref.vendors;
  var enableAllLiteral = i18n.ENABLE_ALL;
  var disableAllLiteral = i18n.DISABLE_ALL;
  var commonProps = {
    disableAllLiteral: disableAllLiteral,
    enableAllLiteral: enableAllLiteral,
    onToggleAll: onToggleAll,
    onToggleConsent: onToggleConsent
  };
  return React.createElement(React.Fragment, null, React.createElement("h2", {
    className: CLASS + "-title"
  }, i18n.ADVERTISEMENT_TITLE), React.createElement("p", null, i18n.ADVERTISEMENT_BODY), React.createElement(Consents, Object.assign({}, commonProps, {
    consents: purposeConsents,
    key: "purposes-" + consentKey,
    i18n: i18n,
    list: purposes,
    title: i18n.AUTHORIZE
  })), React.createElement(Consents, Object.assign({}, commonProps, {
    consents: vendorConsents,
    isVendor: true,
    key: "vendors-" + consentKey,
    features: features,
    i18n: i18n,
    list: vendors,
    purposes: purposes,
    title: i18n.FOR_THE_NEXT_PARTNERS
  })));
};