import React from 'react';
import PropTypes from 'prop-types';
import { CLASS } from '../settings';

var CmpModalGeneralBox = function CmpModalGeneralBox(_ref) {
  var children = _ref.children,
      title = _ref.title,
      description = _ref.description;
  return React.createElement("div", {
    className: CLASS + "-box"
  }, React.createElement("h3", {
    className: CLASS + "-boxTitle"
  }, title, ":"), React.createElement("p", {
    className: CLASS + "-boxDescription"
  }, description), children);
};

var CmpModalGeneralBoxReadMore = function CmpModalGeneralBoxReadMore(_ref2) {
  var i18n = _ref2.i18n,
      privacyUrl = _ref2.privacyUrl;
  return React.createElement("a", {
    className: CLASS + "-boxLink",
    href: privacyUrl,
    target: "_blank",
    rel: "noopener noreferrer"
  }, i18n.READ_MORE);
};

export var CmpModalGeneralStep = function CmpModalGeneralStep(_ref3) {
  var i18n = _ref3.i18n,
      onOpenAdsStep = _ref3.onOpenAdsStep,
      privacyUrl = _ref3.privacyUrl;
  return React.createElement(React.Fragment, null, React.createElement("h2", {
    className: CLASS + "-title"
  }, i18n.TITLE), React.createElement("p", null, i18n.BODY), React.createElement(CmpModalGeneralBox, {
    title: i18n.COOKIES_SESSION,
    description: i18n.COOKIES_SESSION_DESC
  }, React.createElement(CmpModalGeneralBoxReadMore, {
    i18n: i18n,
    privacyUrl: privacyUrl
  })), React.createElement(CmpModalGeneralBox, {
    title: i18n.COOKIES_ANALYTICS,
    description: i18n.COOKIES_ANALYTICS_DESC
  }, React.createElement(CmpModalGeneralBoxReadMore, {
    i18n: i18n,
    privacyUrl: privacyUrl
  })), React.createElement(CmpModalGeneralBox, {
    title: i18n.COOKIES_MARKETING,
    description: i18n.COOKIES_MARKETING_DESC
  }, React.createElement(CmpModalGeneralBoxReadMore, {
    i18n: i18n,
    privacyUrl: privacyUrl
  })), React.createElement(CmpModalGeneralBox, {
    title: i18n.COOKIES_ADS,
    description: i18n.COOKIES_ADS_DESC
  }, React.createElement("a", {
    className: CLASS + "-boxLink",
    href: "#",
    onClick: onOpenAdsStep
  }, i18n.PERSONALIZE)));
};