import React from 'react';
import PropTypes from 'prop-types';

var Section = function Section(_ref) {
  var title = _ref.title,
      data = _ref.data,
      ids = _ref.ids;
  var content = ids.map(function (id) {
    var _data$find = data.find(function (singleData) {
      return singleData.id === id;
    }),
        name = _data$find.name,
        description = _data$find.description;

    return React.createElement("p", {
      key: id
    }, React.createElement("strong", null, name, ": "), description);
  });
  if (content.length === 0) return null;
  return React.createElement(React.Fragment, null, React.createElement("h3", null, title), content);
};

export var ConsentDescription = function ConsentDescription(_ref2) {
  var description = _ref2.description,
      i18n = _ref2.i18n,
      isVendor = _ref2.isVendor,
      features = _ref2.features,
      featureIds = _ref2.featureIds,
      purposeIds = _ref2.purposeIds,
      legIntPurposeIds = _ref2.legIntPurposeIds,
      purposes = _ref2.purposes,
      policyUrl = _ref2.policyUrl;
  if (!isVendor) return description;
  return React.createElement(React.Fragment, null, React.createElement("p", null, React.createElement("strong", null, i18n.POLICY_PRIVACY), ":", React.createElement("br", null), React.createElement("a", {
    href: policyUrl
  }, policyUrl)), React.createElement(Section, {
    title: i18n.PURPOSES,
    data: purposes,
    ids: purposeIds
  }), React.createElement(Section, {
    title: i18n.LEGITIMATE_INTEREST_FOR,
    data: purposes,
    ids: legIntPurposeIds
  }), React.createElement(Section, {
    title: i18n.FEATURES,
    data: features,
    ids: featureIds
  }));
};