import React from 'react';
import PropTypes from 'prop-types';
import AtomSwitch from '@s-ui/react-atom-switch';
import { ConsentName } from '../ConsentName';
import { CLASS } from '../settings';
export var ConsentItem = function ConsentItem(_ref) {
  var enabled = _ref.enabled,
      id = _ref.id,
      onToggleConsent = _ref.onToggleConsent,
      name = _ref.name,
      isVendor = _ref.isVendor,
      renderDescription = _ref.renderDescription,
      url = _ref.url;
  return React.createElement("div", {
    className: CLASS + "-consent"
  }, React.createElement(ConsentName, {
    name: name,
    url: url,
    renderDescription: renderDescription
  }), React.createElement("div", {
    className: CLASS + "-consentActions"
  }, React.createElement(AtomSwitch, {
    initialValue: enabled,
    label: "",
    labelLeft: "",
    labelRight: "",
    name: id + "-switch",
    onToggle: function onToggle() {
      return onToggleConsent({
        enabled: !enabled,
        id: id,
        isVendor: isVendor
      });
    },
    type: "toggle"
  })));
};