import React from 'react';
import PropTypes from 'prop-types';
import Button from '@s-ui/react-atom-button';
import { ConsentItem } from '../ConsentItem';
import { ConsentDescription } from '../ConsentDescription';
import { CLASS } from '../settings';
export var Consents = function Consents(_ref) {
  var consents = _ref.consents,
      disableAllLiteral = _ref.disableAllLiteral,
      enableAllLiteral = _ref.enableAllLiteral,
      features = _ref.features,
      i18n = _ref.i18n,
      isVendor = _ref.isVendor,
      list = _ref.list,
      onToggleAll = _ref.onToggleAll,
      onToggleConsent = _ref.onToggleConsent,
      purposes = _ref.purposes,
      title = _ref.title;
  return React.createElement("section", {
    className: CLASS + "-consents"
  }, React.createElement("h2", {
    className: CLASS + "-title " + CLASS + "-consentsTitle"
  }, title), React.createElement("div", {
    className: CLASS + "-consentsActions"
  }, React.createElement(Button, {
    onClick: function onClick(event) {
      return onToggleAll({
        event: event,
        enabled: false,
        isVendor: isVendor
      });
    },
    type: "secondary",
    size: "small"
  }, disableAllLiteral), React.createElement(Button, {
    onClick: function onClick(event) {
      return onToggleAll({
        event: event,
        enabled: true,
        isVendor: isVendor
      });
    },
    type: "primary",
    size: "small"
  }, enableAllLiteral)), React.createElement("div", {
    className: CLASS + "-consentsTable"
  }, list.map(function (_ref2) {
    var id = _ref2.id,
        name = _ref2.name,
        legIntPurposeIds = _ref2.legIntPurposeIds,
        purposeIds = _ref2.purposeIds,
        featureIds = _ref2.featureIds,
        description = _ref2.description,
        policyUrl = _ref2.policyUrl;
    return React.createElement(ConsentItem, {
      enabled: consents[id],
      id: id,
      isVendor: isVendor,
      key: id,
      name: name,
      onToggleConsent: onToggleConsent,
      renderDescription: function renderDescription() {
        return React.createElement(ConsentDescription, {
          description: description,
          featureIds: featureIds,
          features: features,
          i18n: i18n,
          isVendor: isVendor,
          legIntPurposeIds: legIntPurposeIds,
          policyUrl: policyUrl,
          purposeIds: purposeIds,
          purposes: purposes
        });
      },
      url: policyUrl
    });
  })));
};