import _extends from "@babel/runtime/helpers/esm/extends";
export var CLASS = 'sui-CmpModal';
export var SCROLLABLE_ELEMENT = '.sui-CmpModal-inner';
export var STEPS = {
  GENERAL: 0,
  ADVERTISEMENT: 1
};
var DEFAULT_I18N = {
  ADVERTISEMENT_TITLE: 'Cookies propios o de terceros para publicidad segmentada',
  ADVERTISEMENT_BODY: "Nos importa mucho tu privacidad, por esta raz\xF3n queremos informarte de las finalidades perseguidas por las cookies de publicidad personalizada adem\xE1s de con qui\xE9n estamos compartiendo tus datos. Asimismo podr\xE1s definir las finalidades y los terceros con los que aceptas o no compartir tus datos de navegaci\xF3n, tus datos de localizaci\xF3n y tus datos de car\xE1cter personal.\n\nTen en cuenta que estas cookies van ligadas a tu sesi\xF3n en el navegador por lo que si actualizas tus cookies, cambias de dispositivos o te conectas desde otro navegador, tendr\xE1s que volver a configurar tus preferencias.",
  ACCEPT: 'Aceptar',
  AUTHORIZE: 'Autorizo',
  BACK: 'Volver atrás',
  BODY: 'Tanto nuestros partners como nosotros utilizamos cookies en nuestro sitio web para prestar el servicio solicitado, elaborar estadísticas, fomentar el tráfico en la web y mostrarte publicidad personalizada en base a tus datos de navegación o elaborando perfiles publicitarios en función de los datos que recojamos sobre ti, los cuales podemos compartir con terceros . Haciendo clic consientes el uso de esta tecnología en nuestra web. Puedes cambiar de opinión y personalizar tu consentimiento siempre que quieras volviendo a esta pantalla de configuración.',
  COOKIES_SESSION: 'Cookies de sesión',
  COOKIES_SESSION_DESC: 'Cookies propias indispensables para que nuestro sitio web funcione. Almacenamos información de navegación y preferencias de configuración.',
  COOKIES_ANALYTICS: 'Cookies de analítica',
  COOKIES_ANALYTICS_DESC: 'Cookies propias o de terceros para realizar la medición de la actividad en el sitio web para conocer el uso que hacen los usuarios de nuestros servicios y mejorarlos. Almacenan información de navegación dentro de nuestro sitio web como información de origen del tráfico.',
  COOKIES_MARKETING: 'Cookies de marketing propio',
  COOKIES_MARKETING_DESC: 'Cookies propias o de terceros para realizar campañas de marketing propio para captar y retener tráfico en nuestro sitio web. Almacenan información de navegación dentro o fuera de nuestro sitio web.',
  COOKIES_ADS: 'Cookies de publicidad segmentada',
  COOKIES_ADS_DESC: 'Cookies propias o de terceros para ofrecer a nuestros partners de publicidad perfiles de audiencia segmentada. Almacenan información de navegación dentro o fuera de nuestro sitio web, así como datos de localización o datos a carácter personal.',
  DISABLE_ALL: 'Deshabilitar todo',
  ENABLE_ALL: 'Habilitar todo',
  FEATURES: 'Características',
  FOR_THE_NEXT_PARTNERS: 'Para los siguientes anunciantes y partners',
  LEGITIMATE_INTEREST_FOR: 'Interés legítimo en:',
  PERSONALIZE: 'Personalizar',
  READ_MORE: 'Leer más',
  POLICY_PRIVACY: 'Política de privacidad',
  PURPOSES: 'Propósitos',
  TITLE: 'Tu privacidad es importante para nosotros'
};

var it = _extends({}, DEFAULT_I18N, {
  ADVERTISEMENT_TITLE: 'Cookie di prima o terza parte per la pubblicità segmentata',
  ADVERTISEMENT_BODY: "Ci preoccupiamo molto della tua privacy, per questo motivo vogliamo informarti delle finalit\xE0 perseguite dai cookie per la pubblicit\xE0 personalizzata, e farti sapere con chi stiamo condividendo le tue informazioni. Potrai inoltre definire le finalit\xE0 e le terze parti con le quali accetti o meno di condividere i tuoi dati di navigazione, di posizione e i tuoi dati personali.\n\n  Tieni presente che questi cookie sono legati alla tua sessione di navigazione, quindi se aggiorni i tuoi cookie, cambiando dispositivo o connettendoti da un altro browser, dovrai riconfigurare le tue preferenze.",
  ACCEPT: 'Accetto',
  AUTHORIZE: 'Autorizzo',
  BACK: 'Indietro',
  BODY: "Sia noi che i nostri partner utilizziamo cookie sul nostro sito web per fornire il servizio richiesto, sviluppare statistiche, promuovere il traffico sul web e mostrarti pubblicit\xE0 personalizzata sulla base dei tuoi dati di navigazione o sviluppare profili pubblicitari in funzione dei dati che raccogliamo su di te, che possiamo condividere con terze parti. Cliccando, acconsenti all\u2019utilizzo di questa tecnologia sul nostro sito web. Puoi cambiare idea e personalizzare il tuo consenso ogni volta che vuoi tornando su questa schermata di configurazione.",
  COOKIES_SESSION: 'Cookie di sessione',
  COOKIES_SESSION_DESC: 'I cookie sono indispensabili affinché il nostro sito web funzioni al meglio. Archiviamo le informazioni di navigazione e le preferenze di configurazione.',
  COOKIES_ANALYTICS: 'Cookie analytics',
  COOKIES_ANALYTICS_DESC: 'I cookie di prima o terza parte per misurare l’attività sul sito e per conoscere l’utilizzo fatto dagli utenti dei nostri servizi e poterli così migliorare. Memorizzano le informazioni di navigazione all’interno del nostro sito web come informazioni circa l’origine del traffico, informazioni di navigazione e preferenze di configurazione.',
  COOKIES_MARKETING: 'Cookie marketing',
  COOKIES_MARKETING_DESC: 'I cookie di prima o terza parte per realizzare campagne marketing, per portare e trattenere il traffico sul nostro sito web. Memorizzano le informazioni di navigazione all’interno o all’esterno del nostro sito web.',
  COOKIES_ADS: 'Cookie pubblicitari',
  COOKIES_ADS_DESC: 'I cookie di prima o terza parte per offrire ai nostri partner pubblicitari un’audience segmentata. Memorizzano le informazioni di navigazione all’interno o all’esterno del nostro sito web, così come la tua posizione o i dati personali.',
  DISABLE_ALL: 'Disabilita tutto',
  ENABLE_ALL: 'Abilita tutto',
  FEATURES: 'Características',
  FOR_THE_NEXT_PARTNERS: 'Per i prossimi inserzionisti e partner',
  PERSONALIZE: 'Personalizza',
  POLICY_PRIVACY: 'Política de privacidad',
  PURPOSES: 'Propósitos',
  READ_MORE: 'Leggi di più',
  TITLE: 'La tua privacy è importante per noi'
});

export var I18N = {
  it: it,
  es: DEFAULT_I18N,
  en: DEFAULT_I18N,
  ca: DEFAULT_I18N,
  de: DEFAULT_I18N
};